summaryrefslogtreecommitdiffstats
path: root/ckermit
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2010-05-27 09:49:10 +0000
committer Eric Hameleers <alien@slackware.com>2010-05-27 09:49:10 +0000
commit9f40214cd7570c270dc3fc97a869cfebc68e68a2 (patch)
tree7af3401e62af726d454d0c4ee6759e0f8bd252a6 /ckermit
parentb0b3b2a71e8d0ca742820f318361a1bfad543e87 (diff)
downloadasb-9f40214cd7570c270dc3fc97a869cfebc68e68a2.tar.gz
asb-9f40214cd7570c270dc3fc97a869cfebc68e68a2.tar.xz
Updated for Slackware 13.1
Diffstat (limited to 'ckermit')
-rwxr-xr-xckermit/build/ckermit.SlackBuild95
1 files changed, 45 insertions, 50 deletions
diff --git a/ckermit/build/ckermit.SlackBuild b/ckermit/build/ckermit.SlackBuild
index 6eda144b..8a9e37cb 100755
--- a/ckermit/build/ckermit.SlackBuild
+++ b/ckermit/build/ckermit.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2008 Eric Hameleers <alien@slackware.com>
+# Copyright (c) 2008, 2010 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -32,8 +32,10 @@
# Changelog:
# 8.0.211-1: 20/Jan/2008 by Eric Hameleers <alien@slackware.com>
# * Initial build.
+# 8.0.211-2: 27/may/2010 by Eric Hameleers <alien@slackware.com>
+# * Updated the SlackBuild for Slackware 13.1 (64-bit too)
#
-# Run 'sh ckermit.SlackBuild --cleanup' to build a Slackware package.
+# Run 'sh ckermit.SlackBuild' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
# Install using 'installpkg'.
#
@@ -44,22 +46,19 @@
PRGNAM=ckermit
VERSION=${VERSION:-8.0.211}
VMINOR=$(echo ${VERSION} | cut -d. -f3)
-ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
+TAG=${TAG:-alien}
DOCS="*.txt COPYING.TXT"
# Where do we look for sources?
-CWD=$(pwd)
-SRCDIR=$(dirname $0)
-[ "${SRCDIR:0:1}" == "." ] && SRCDIR=${CWD}/${SRCDIR}
+SRCDIR=$(cd $(dirname $0); pwd)
# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
TMP=${TMP:-/tmp/build}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Input URL: ftp://kermit.columbia.edu/kermit/archives/cku211.tar.gz
SOURCE="$SRCDIR/cku${VMINOR}.tar.gz"
SRCURL="ftp://kermit.columbia.edu/kermit/archives/cku${VMINOR}.tar.gz"
@@ -67,13 +66,6 @@ SRCURL="ftp://kermit.columbia.edu/kermit/archives/cku${VMINOR}.tar.gz"
## --- with a little luck, you won't have to edit below this point --- ##
##
-# Exit the script on errors:
-set -e
-trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
-# Catch unitialized variables:
-set -u
-P1=${1:-1}
-
# Slackware 11 and up need other option (gcc > 3.3.x)
if [ $(gcc -dumpversion | tr -d '.' |cut -c 1-2) -gt 33 ]; then
MOPT=tune
@@ -81,6 +73,16 @@ else
MOPT=cpu
fi
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
case "$ARCH" in
i386) SLKCFLAGS="-O2 -march=i386 -m${MOPT}=i686"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
@@ -88,30 +90,33 @@ case "$ARCH" in
i486) SLKCFLAGS="-O2 -march=i486 -m${MOPT}=i686"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
- s390) SLKCFLAGS="-O2"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
- powerpc) SLKCFLAGS="-O2"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
x86_64) SLKCFLAGS="-O2 -fPIC"
SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
;;
- athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
+ *) SLKCFLAGS="-O2"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
esac
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
+# Save old umask and set to 0022:
+_UMASK_=$(umask)
+umask 0022
+
# Create working directories:
mkdir -p $OUTPUT # place for the package to be saved
mkdir -p $TMP/tmp-$PRGNAM # location to build the source
mkdir -p $PKG # place for the package to be built
rm -rf $PKG/* # always erase old package's contents
-if [ "$P1" != "--oldbuild" ]; then
- # Use the "--oldbuild" parameter to keep old build files and continue;
- # By default we remove the remnants of previous build and continue.
- rm -rf $TMP/tmp-$PRGNAM/*
-fi
+rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
+rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
+ # remove old log files
# Source file availability:
if ! [ -f ${SOURCE} ]; then
@@ -159,7 +164,7 @@ if [ "$ARCH" == "x86_64" ]; then
2>&1 | tee -a $OUTPUT/patch-${PRGNAM}.log
fi
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+chmod -R u+w,go+r-w,a+X-s .
echo Building ...
export LDFLAGS="$SLKLDFLAGS"
@@ -172,14 +177,7 @@ make linux prefix=/usr \
# Install all the needed stuff to the package dir
mkdir -p $PKG/usr/{bin,man}
-# Use installwatch if available, to produce a logfile of the installation
-# process that is more easily readable:
-if $(which installwatch > /dev/null 2>&1); then
- installwatch -o $OUTPUT/install-${PRGNAM}.log \
- make DESTDIR=$PKG prefix=/usr install
-else
- make DESTDIR=$PKG prefix=/usr install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
-fi
+make DESTDIR=$PKG prefix=/usr install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
# Move and fix the ckermit.ini script:
mkdir -p $PKG/usr/share/kermit
@@ -189,6 +187,8 @@ sed -i -e "s|${PKG}/usr/bin/kermit|/usr/bin/kermit|g" $PKG/usr/share/kermit/cker
# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+cat $SRCDIR/$(basename $0) > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
find $PKG/usr/doc -type f -exec chmod 644 {} \;
# Compress the man page(s):
@@ -197,12 +197,9 @@ if [ -d $PKG/usr/man ]; then
for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
fi
-# Strip binaries:
-cd $PKG
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-cd -
-
+# Strip binaries (if any):
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Add a package description:
mkdir -p $PKG/install
@@ -213,14 +210,12 @@ fi
# Build the package:
cd $PKG
-makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
cd $OUTPUT
-md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz.md5
cd -
-cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
+
+# Restore the original umask:
+umask ${_UMASK_}
-# Clean up the extra stuff:
-if [ "$P1" = "--cleanup" ]; then
- rm -rf $TMP/tmp-$PRGNAM
- rm -rf $PKG
-fi